# Module: Concurrent::Synchronization::MriAttrVolatile

Defined in:
  lib/concurrent/synchronization/mri_object.rb

## Defined Under Namespace

Modules: ClassMethods

## Instance Method Summary collapse

- #full_memory_barrier ⇒ undocumented

## Instance Method Details

### #full_memory_barrier ⇒ `undocumented`

    27
    28
    29
    30

    # File 'lib/concurrent/synchronization/mri_object.rb', line 27

    def full_memory_barrier
      # relying on undocumented behavior of CRuby, GVL acquire has lock which ensures visibility of ivars
      # https://github.com/ruby/ruby/blob/ruby_2_2/thread_pthread.c#L204-L211
    end